wai-extra-3.0.29.2: Provides some basic WAI handlers and middleware.

Safe Haskell | None
Language | Haskell2010

Network.Wai.Middleware.RequestLogger.JSON

Synopsis

- formatAsJSON :: OutputFormatterWithDetails
- formatAsJSONWithHeaders :: OutputFormatterWithDetailsAndHeaders

# Documentation

formatAsJSON :: OutputFormatterWithDetails Source #

formatAsJSONWithHeaders :: OutputFormatterWithDetailsAndHeaders Source #

Same as `formatAsJSON` but with response headers included

This is useful for passing arbitrary data from your application out to the WAI layer for it to be logged, but you may need to be careful to subsequently redact any headers which may contain sensitive data.

Since: 3.0.27